Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.util
Interface Constants

public interface Constants

Global constants for use across the application

Field Summary
`static boolean` | `AUTOCOMMIT` disables/enables Autocommit
`static int` | `DEFAULT_MAX_ELEMENTS` Paging system max elements
`static int` | `DEFAULT_PAGE_SIZE` Paging system default page size
`static int` | `FLAG_UM_CALC_ONLY` Used by UM to indicate merge operations not sent to the database
`static int` | `FLAG_UM_NONE` Used by UM to indicate merge operations should be sent to the database
`static int` | `FLAG_UM_REPLACE_SO` Used by UM to indicate to replace system object values
`static boolean` | `OUTBOUND` disables/enable outbound
`static int` | `POT_DUP_MAX_ELEMENTS` Potential duplicate max elements
`static java.lang.String` | `QWS_SYSTEM_CODE` SystemCode for the QWS SystemObject
`static boolean` | `SECURITY` enables/disables security
`static java.lang.String` | `SECURITY_MASK_STRING` Security mask string
`static boolean` | `VALIDATION` enables/disables validation

Field Detail

### AUTOCOMMIT

    public static final boolean AUTOCOMMIT

  disables/enables Autocommit

  See Also:
    Constant Field Values

### DEFAULT_MAX_ELEMENTS

    public static final int DEFAULT_MAX_ELEMENTS

  Paging system max elements

  See Also:
    Constant Field Values

### DEFAULT_PAGE_SIZE

    public static final int DEFAULT_PAGE_SIZE

  Paging system default page size

  See Also:
    Constant Field Values

### FLAG_UM_CALC_ONLY

    public static final int FLAG_UM_CALC_ONLY

  Used by UM to indicate merge operations not sent to the database

  See Also:
    Constant Field Values

### FLAG_UM_NONE

    public static final int FLAG_UM_NONE

  Used by UM to indicate merge operations should be sent to the database

  See Also:
    Constant Field Values

### FLAG_UM_REPLACE_SO

    public static final int FLAG_UM_REPLACE_SO

  Used by UM to indicate to replace system object values

  See Also:
    Constant Field Values

### OUTBOUND

    public static final boolean OUTBOUND

  disables/enable outbound

  See Also:
    Constant Field Values

### POT_DUP_MAX_ELEMENTS

    public static final int POT_DUP_MAX_ELEMENTS

  Potential duplicate max elements

  See Also:
    Constant Field Values

### QWS_SYSTEM_CODE

    public static final java.lang.String QWS_SYSTEM_CODE

  SystemCode for the QWS SystemObject

  See Also:
    Constant Field Values

### SECURITY

    public static final boolean SECURITY

  enables/disables security

  See Also:
    Constant Field Values

### SECURITY_MASK_STRING

    public static final java.lang.String SECURITY_MASK_STRING

  Security mask string

  See Also:
    Constant Field Values

### VALIDATION

    public static final boolean VALIDATION

  enables/disables validation

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.